> ## Documentation Index
> Fetch the complete documentation index at: https://docs.postlybee.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List connected accounts

> List the social accounts available for publishing in the authenticated workspace.



## OpenAPI

````yaml /api-reference/openapi.json get /public/v1/integrations
openapi: 3.0.0
info:
  title: PostlyBee Public API
  description: >-
    Create and manage social posts, upload media, and discover connected
    accounts with the PostlyBee Public API.
  version: 1.0.0
  contact:
    name: PostlyBee Support
    url: https://postlybee.com
    email: support@postlybee.com
  license:
    name: Proprietary
    url: https://postlybee.com/terms
servers:
  - url: https://api.postlybee.com
    description: Production
security: []
tags:
  - name: Posts
    description: Create, list, update, and delete social posts.
  - name: Media
    description: Upload media and use enabled video generators.
  - name: Accounts
    description: Discover connected social accounts.
  - name: Utilities
    description: Verify access and find posting slots.
paths:
  /public/v1/integrations:
    get:
      tags:
        - Accounts
      summary: List connected accounts
      description: >-
        List the social accounts available for publishing in the authenticated
        workspace.
      operationId: listConnectedAccounts
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicApiIntegrationDto'
        '401':
          description: The bearer token is missing or invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorDto'
      security:
        - public-api: []
components:
  schemas:
    PublicApiIntegrationDto:
      type: object
      properties:
        id:
          type: string
          example: clz8tq4ka0001m8p7y6n5r3d2
        name:
          type: string
          example: '@postlybee'
        identifier:
          type: string
          example: x
        picture:
          type: string
          nullable: true
          example: https://example.com/avatar.png
        disabled:
          type: boolean
          example: false
        profile:
          type: string
          nullable: true
          example: https://x.com/postlybee
        customer:
          $ref: '#/components/schemas/PublicApiCustomerDto'
      required:
        - id
        - name
        - identifier
        - disabled
    PublicApiErrorDto:
      type: object
      properties:
        msg:
          type: string
          example: Invalid API key
      required:
        - msg
    PublicApiCustomerDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
          example: Acme
      required:
        - id
        - name
  securitySchemes:
    public-api:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: Workspace API key from Settings → Public API.

````